package com.zipcoder.payment;

import org.junit.Assert;
import org.junit.Test;

public class PaymentSortByPayerTest {

    PaymentSortByPayer paymentSortByPayer1 = new PaymentSortByPayer();
    PaymentSortByPayer paymentSortByPayer2 = new PaymentSortByPayer();


    PayPal payment1 = new PayPal();
    Check payment2 = new Check();

    @Test
    public void test_compare_when_payments_are_equal() {

        payment1.setPayerName("Ken");
        payment1.setEmail("peace_459@live.com");
        payment1.setId(888);

        payment2.setId(459);
        payment2.setRoutingNumber("2815");
        payment2.setPayerName("Angel");
        payment2.setAccountNumber("9532850");


        //int actual = paymentSortByPayer1.compare(payment1, payment1);

        Assert.assertTrue(paymentSortByPayer1.compare(payment1, payment1)==0);
//        Assert.assertFalse(actual < 0);
//        Assert.assertFalse(actual > 0);


        }


    @Test
    public void test_compare_when_payment1_is_before_payment2(){

        payment1.setPayerName("Kenn");
        payment1.setEmail("peace_459@livee.com");
        payment1.setId(8888);

        payment2.setId(4559);
        payment2.setRoutingNumber("28155");
        payment2.setPayerName("Angell");
        payment2.setAccountNumber("9532857");

        int actual = paymentSortByPayer1.compare(payment1, payment2);

        Assert.assertTrue(actual > 0);
        Assert.assertFalse(actual < 0);
        Assert.assertFalse(actual == 0);
    }



    @Test
    public void test_compare_when_payment2_is_before_payment1(){

        PayPal payment5 = new PayPal();
        Check payment6 = new Check();

        payment5.setPayerName("Kennn");
        payment5.setEmail("peace_459@liveee.com");
        payment5.setId(88888);

        payment6.setId(45559);
        payment6.setRoutingNumber("281555");
        payment6.setPayerName("Angelll");
        payment6.setAccountNumber("9532852");

        int actual = paymentSortByPayer2.compare(payment5, payment6);

        Assert.assertTrue(actual > 0);
        Assert.assertFalse(actual < 0);
        Assert.assertFalse(actual == 0);

    }
}

//Leaving test broken so that I remember to come back to it.
//xyz
//Leaving test broken so that I remember to come back to it.